com.mapinfo.midev.type

## Class MVL

- java.lang.Object
- - java.lang.Enum
  - - com.mapinfo.midev.type.MVL

All Implemented Interfaces:
  Serializable, Comparable

    public final class MVL
    extends Enum

Enumeration for multi-valued logical values.

See Also:
  Serialized Form

### Field Summary

Fields
`static MVL` `FALSE` False
`static MVL` `TRUE` True
`static MVL` `UNKNOWN` Unknown, not applicable, or neither TRUE or FALSE.

### Method Summary

All Methods Static Methods Concrete Methods
`static MVL` `valueOf(String name)`
`static MVL[]` `values()`

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### TRUE

    public static final MVL TRUE

True

#### FALSE

    public static final MVL FALSE

False

#### UNKNOWN

    public static final MVL UNKNOWN

Unknown, not applicable, or neither TRUE or FALSE.

### Method Detail

#### values

    public static MVL[] values()

#### valueOf

    public static MVL valueOf(String name)